Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/9
Addresses2^119
/64 networks2^55
Network
ff80::/9
First address
ff80::
Last address
ffff:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
664,613,997,892,457,936,451,903,530,140,172,288 (2^119)
/64 networks (LANs)
36,028,797,018,963,968 (2^55)
Full form
ff80:0000:0000:0000:0000:0000:0000:0000
Type
Multicast ff00::/8
One-to-many traffic; replaces broadcast
Reverse DNS zones
8.f.f.ip6.arpa
9.f.f.ip6.arpa
a.f.f.ip6.arpa
b.f.f.ip6.arpa
c.f.f.ip6.arpa
d.f.f.ip6.arpa
e.f.f.ip6.arpa
f.f.f.ip6.arpa
/9 is not on a 4-bit boundary, so it takes 8 /12 zones.
Split into smaller subnets/20

ff80::/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetLast address
1ff80::/20ff80:fff:ffff:ffff:ffff:ffff:ffff:ffff
2ff80:1000::/20ff80:1fff:ffff:ffff:ffff:ffff:ffff:ffff
3ff80:2000::/20ff80:2fff:ffff:ffff:ffff:ffff:ffff:ffff
4ff80:3000::/20ff80:3fff:ffff:ffff:ffff:ffff:ffff:ffff
5ff80:4000::/20ff80:4fff:ffff:ffff:ffff:ffff:ffff:ffff
6ff80:5000::/20ff80:5fff:ffff:ffff:ffff:ffff:ffff:ffff
7ff80:6000::/20ff80:6fff:ffff:ffff:ffff:ffff:ffff:ffff
8ff80:7000::/20ff80:7fff:ffff:ffff:ffff:ffff:ffff:ffff
9ff80:8000::/20ff80:8fff:ffff:ffff:ffff:ffff:ffff:ffff
10ff80:9000::/20ff80:9fff:ffff:ffff:ffff:ffff:ffff:ffff
11ff80:a000::/20ff80:afff:ffff:ffff:ffff:ffff:ffff:ffff
12ff80:b000::/20ff80:bfff:ffff:ffff:ffff:ffff:ffff:ffff
13ff80:c000::/20ff80:cfff:ffff:ffff:ffff:ffff:ffff:ffff
14ff80:d000::/20ff80:dfff:ffff:ffff:ffff:ffff:ffff:ffff
15ff80:e000::/20ff80:efff:ffff:ffff:ffff:ffff:ffff:ffff
16ff80:f000::/20ff80:ffff:ffff:ffff:ffff:ffff:ffff:ffff
17ff81::/20ff81:fff:ffff:ffff:ffff:ffff:ffff:ffff
18ff81:1000::/20ff81:1fff:ffff:ffff:ffff:ffff:ffff:ffff
19ff81:2000::/20ff81:2fff:ffff:ffff:ffff:ffff:ffff:ffff
20ff81:3000::/20ff81:3fff:ffff:ffff:ffff:ffff:ffff:ffff
21ff81:4000::/20ff81:4fff:ffff:ffff:ffff:ffff:ffff:ffff
22ff81:5000::/20ff81:5fff:ffff:ffff:ffff:ffff:ffff:ffff
23ff81:6000::/20ff81:6fff:ffff:ffff:ffff:ffff:ffff:ffff
24ff81:7000::/20ff81:7fff:ffff:ffff:ffff:ffff:ffff:ffff
25ff81:8000::/20ff81:8fff:ffff:ffff:ffff:ffff:ffff:ffff
26ff81:9000::/20ff81:9fff:ffff:ffff:ffff:ffff:ffff:ffff
27ff81:a000::/20ff81:afff:ffff:ffff:ffff:ffff:ffff:ffff
28ff81:b000::/20ff81:bfff:ffff:ffff:ffff:ffff:ffff:ffff
29ff81:c000::/20ff81:cfff:ffff:ffff:ffff:ffff:ffff:ffff
30ff81:d000::/20ff81:dfff:ffff:ffff:ffff:ffff:ffff:ffff
31ff81:e000::/20ff81:efff:ffff:ffff:ffff:ffff:ffff:ffff
32ff81:f000::/20ff81:ffff:ffff:ffff:ffff:ffff:ffff:ffff
33ff82::/20ff82:fff:ffff:ffff:ffff:ffff:ffff:ffff
34ff82:1000::/20ff82:1fff:ffff:ffff:ffff:ffff:ffff:ffff
35ff82:2000::/20ff82:2fff:ffff:ffff:ffff:ffff:ffff:ffff
36ff82:3000::/20ff82:3fff:ffff:ffff:ffff:ffff:ffff:ffff
37ff82:4000::/20ff82:4fff:ffff:ffff:ffff:ffff:ffff:ffff
38ff82:5000::/20ff82:5fff:ffff:ffff:ffff:ffff:ffff:ffff
39ff82:6000::/20ff82:6fff:ffff:ffff:ffff:ffff:ffff:ffff
40ff82:7000::/20ff82:7fff:ffff:ffff:ffff:ffff:ffff:ffff
41ff82:8000::/20ff82:8fff:ffff:ffff:ffff:ffff:ffff:ffff
42ff82:9000::/20ff82:9fff:ffff:ffff:ffff:ffff:ffff:ffff
43ff82:a000::/20ff82:afff:ffff:ffff:ffff:ffff:ffff:ffff
44ff82:b000::/20ff82:bfff:ffff:ffff:ffff:ffff:ffff:ffff
45ff82:c000::/20ff82:cfff:ffff:ffff:ffff:ffff:ffff:ffff
46ff82:d000::/20ff82:dfff:ffff:ffff:ffff:ffff:ffff:ffff
47ff82:e000::/20ff82:efff:ffff:ffff:ffff:ffff:ffff:ffff
48ff82:f000::/20ff82:ffff:ffff:ffff:ffff:ffff:ffff:ffff
49ff83::/20ff83:fff:ffff:ffff:ffff:ffff:ffff:ffff
50ff83:1000::/20ff83:1fff:ffff:ffff:ffff:ffff:ffff:ffff
51ff83:2000::/20ff83:2fff:ffff:ffff:ffff:ffff:ffff:ffff
52ff83:3000::/20ff83:3fff:ffff:ffff:ffff:ffff:ffff:ffff
53ff83:4000::/20ff83:4fff:ffff:ffff:ffff:ffff:ffff:ffff
54ff83:5000::/20ff83:5fff:ffff:ffff:ffff:ffff:ffff:ffff
55ff83:6000::/20ff83:6fff:ffff:ffff:ffff:ffff:ffff:ffff
56ff83:7000::/20ff83:7fff:ffff:ffff:ffff:ffff:ffff:ffff
57ff83:8000::/20ff83:8fff:ffff:ffff:ffff:ffff:ffff:ffff
58ff83:9000::/20ff83:9fff:ffff:ffff:ffff:ffff:ffff:ffff
59ff83:a000::/20ff83:afff:ffff:ffff:ffff:ffff:ffff:ffff
60ff83:b000::/20ff83:bfff:ffff:ffff:ffff:ffff:ffff:ffff
61ff83:c000::/20ff83:cfff:ffff:ffff:ffff:ffff:ffff:ffff
62ff83:d000::/20ff83:dfff:ffff:ffff:ffff:ffff:ffff:ffff
63ff83:e000::/20ff83:efff:ffff:ffff:ffff:ffff:ffff:ffff
64ff83:f000::/20ff83:ffff:ffff:ffff:ffff:ffff:ffff:ffff
65ff84::/20ff84:fff:ffff:ffff:ffff:ffff:ffff:ffff
66ff84:1000::/20ff84:1fff:ffff:ffff:ffff:ffff:ffff:ffff
67ff84:2000::/20ff84:2fff:ffff:ffff:ffff:ffff:ffff:ffff
68ff84:3000::/20ff84:3fff:ffff:ffff:ffff:ffff:ffff:ffff
69ff84:4000::/20ff84:4fff:ffff:ffff:ffff:ffff:ffff:ffff
70ff84:5000::/20ff84:5fff:ffff:ffff:ffff:ffff:ffff:ffff
71ff84:6000::/20ff84:6fff:ffff:ffff:ffff:ffff:ffff:ffff
72ff84:7000::/20ff84:7fff:ffff:ffff:ffff:ffff:ffff:ffff
73ff84:8000::/20ff84:8fff:ffff:ffff:ffff:ffff:ffff:ffff
74ff84:9000::/20ff84:9fff:ffff:ffff:ffff:ffff:ffff:ffff
75ff84:a000::/20ff84:afff:ffff:ffff:ffff:ffff:ffff:ffff
76ff84:b000::/20ff84:bfff:ffff:ffff:ffff:ffff:ffff:ffff
77ff84:c000::/20ff84:cfff:ffff:ffff:ffff:ffff:ffff:ffff
78ff84:d000::/20ff84:dfff:ffff:ffff:ffff:ffff:ffff:ffff
79ff84:e000::/20ff84:efff:ffff:ffff:ffff:ffff:ffff:ffff
80ff84:f000::/20ff84:ffff:ffff:ffff:ffff:ffff:ffff:ffff
81ff85::/20ff85:fff:ffff:ffff:ffff:ffff:ffff:ffff
82ff85:1000::/20ff85:1fff:ffff:ffff:ffff:ffff:ffff:ffff
83ff85:2000::/20ff85:2fff:ffff:ffff:ffff:ffff:ffff:ffff
84ff85:3000::/20ff85:3fff:ffff:ffff:ffff:ffff:ffff:ffff
85ff85:4000::/20ff85:4fff:ffff:ffff:ffff:ffff:ffff:ffff
86ff85:5000::/20ff85:5fff:ffff:ffff:ffff:ffff:ffff:ffff
87ff85:6000::/20ff85:6fff:ffff:ffff:ffff:ffff:ffff:ffff
88ff85:7000::/20ff85:7fff:ffff:ffff:ffff:ffff:ffff:ffff
89ff85:8000::/20ff85:8fff:ffff:ffff:ffff:ffff:ffff:ffff
90ff85:9000::/20ff85:9fff:ffff:ffff:ffff:ffff:ffff:ffff
91ff85:a000::/20ff85:afff:ffff:ffff:ffff:ffff:ffff:ffff
92ff85:b000::/20ff85:bfff:ffff:ffff:ffff:ffff:ffff:ffff
93ff85:c000::/20ff85:cfff:ffff:ffff:ffff:ffff:ffff:ffff
94ff85:d000::/20ff85:dfff:ffff:ffff:ffff:ffff:ffff:ffff
95ff85:e000::/20ff85:efff:ffff:ffff:ffff:ffff:ffff:ffff
96ff85:f000::/20ff85:ffff:ffff:ffff:ffff:ffff:ffff:ffff
97ff86::/20ff86:fff:ffff:ffff:ffff:ffff:ffff:ffff
98ff86:1000::/20ff86:1fff:ffff:ffff:ffff:ffff:ffff:ffff
99ff86:2000::/20ff86:2fff:ffff:ffff:ffff:ffff:ffff:ffff
100ff86:3000::/20ff86:3fff:ffff:ffff:ffff:ffff:ffff:ffff
101ff86:4000::/20ff86:4fff:ffff:ffff:ffff:ffff:ffff:ffff
102ff86:5000::/20ff86:5fff:ffff:ffff:ffff:ffff:ffff:ffff
103ff86:6000::/20ff86:6fff:ffff:ffff:ffff:ffff:ffff:ffff
104ff86:7000::/20ff86:7fff:ffff:ffff:ffff:ffff:ffff:ffff
105ff86:8000::/20ff86:8fff:ffff:ffff:ffff:ffff:ffff:ffff
106ff86:9000::/20ff86:9fff:ffff:ffff:ffff:ffff:ffff:ffff
107ff86:a000::/20ff86:afff:ffff:ffff:ffff:ffff:ffff:ffff
108ff86:b000::/20ff86:bfff:ffff:ffff:ffff:ffff:ffff:ffff
109ff86:c000::/20ff86:cfff:ffff:ffff:ffff:ffff:ffff:ffff
110ff86:d000::/20ff86:dfff:ffff:ffff:ffff:ffff:ffff:ffff
111ff86:e000::/20ff86:efff:ffff:ffff:ffff:ffff:ffff:ffff
112ff86:f000::/20ff86:ffff:ffff:ffff:ffff:ffff:ffff:ffff
113ff87::/20ff87:fff:ffff:ffff:ffff:ffff:ffff:ffff
114ff87:1000::/20ff87:1fff:ffff:ffff:ffff:ffff:ffff:ffff
115ff87:2000::/20ff87:2fff:ffff:ffff:ffff:ffff:ffff:ffff
116ff87:3000::/20ff87:3fff:ffff:ffff:ffff:ffff:ffff:ffff
117ff87:4000::/20ff87:4fff:ffff:ffff:ffff:ffff:ffff:ffff
118ff87:5000::/20ff87:5fff:ffff:ffff:ffff:ffff:ffff:ffff
119ff87:6000::/20ff87:6fff:ffff:ffff:ffff:ffff:ffff:ffff
120ff87:7000::/20ff87:7fff:ffff:ffff:ffff:ffff:ffff:ffff
121ff87:8000::/20ff87:8fff:ffff:ffff:ffff:ffff:ffff:ffff
122ff87:9000::/20ff87:9fff:ffff:ffff:ffff:ffff:ffff:ffff
123ff87:a000::/20ff87:afff:ffff:ffff:ffff:ffff:ffff:ffff
124ff87:b000::/20ff87:bfff:ffff:ffff:ffff:ffff:ffff:ffff
125ff87:c000::/20ff87:cfff:ffff:ffff:ffff:ffff:ffff:ffff
126ff87:d000::/20ff87:dfff:ffff:ffff:ffff:ffff:ffff:ffff
127ff87:e000::/20ff87:efff:ffff:ffff:ffff:ffff:ffff:ffff
128ff87:f000::/20ff87:ffff:ffff:ffff:ffff:ffff:ffff:ffff
129ff88::/20ff88:fff:ffff:ffff:ffff:ffff:ffff:ffff
130ff88:1000::/20ff88:1fff:ffff:ffff:ffff:ffff:ffff:ffff
131ff88:2000::/20ff88:2fff:ffff:ffff:ffff:ffff:ffff:ffff
132ff88:3000::/20ff88:3fff:ffff:ffff:ffff:ffff:ffff:ffff
133ff88:4000::/20ff88:4fff:ffff:ffff:ffff:ffff:ffff:ffff
134ff88:5000::/20ff88:5fff:ffff:ffff:ffff:ffff:ffff:ffff
135ff88:6000::/20ff88:6fff:ffff:ffff:ffff:ffff:ffff:ffff
136ff88:7000::/20ff88:7fff:ffff:ffff:ffff:ffff:ffff:ffff
137ff88:8000::/20ff88:8fff:ffff:ffff:ffff:ffff:ffff:ffff
138ff88:9000::/20ff88:9fff:ffff:ffff:ffff:ffff:ffff:ffff
139ff88:a000::/20ff88:afff:ffff:ffff:ffff:ffff:ffff:ffff
140ff88:b000::/20ff88:bfff:ffff:ffff:ffff:ffff:ffff:ffff
141ff88:c000::/20ff88:cfff:ffff:ffff:ffff:ffff:ffff:ffff
142ff88:d000::/20ff88:dfff:ffff:ffff:ffff:ffff:ffff:ffff
143ff88:e000::/20ff88:efff:ffff:ffff:ffff:ffff:ffff:ffff
144ff88:f000::/20ff88:ffff:ffff:ffff:ffff:ffff:ffff:ffff
145ff89::/20ff89:fff:ffff:ffff:ffff:ffff:ffff:ffff
146ff89:1000::/20ff89:1fff:ffff:ffff:ffff:ffff:ffff:ffff
147ff89:2000::/20ff89:2fff:ffff:ffff:ffff:ffff:ffff:ffff
148ff89:3000::/20ff89:3fff:ffff:ffff:ffff:ffff:ffff:ffff
149ff89:4000::/20ff89:4fff:ffff:ffff:ffff:ffff:ffff:ffff
150ff89:5000::/20ff89:5fff:ffff:ffff:ffff:ffff:ffff:ffff
151ff89:6000::/20ff89:6fff:ffff:ffff:ffff:ffff:ffff:ffff
152ff89:7000::/20ff89:7fff:ffff:ffff:ffff:ffff:ffff:ffff
153ff89:8000::/20ff89:8fff:ffff:ffff:ffff:ffff:ffff:ffff
154ff89:9000::/20ff89:9fff:ffff:ffff:ffff:ffff:ffff:ffff
155ff89:a000::/20ff89:afff:ffff:ffff:ffff:ffff:ffff:ffff
156ff89:b000::/20ff89:bfff:ffff:ffff:ffff:ffff:ffff:ffff
157ff89:c000::/20ff89:cfff:ffff:ffff:ffff:ffff:ffff:ffff
158ff89:d000::/20ff89:dfff:ffff:ffff:ffff:ffff:ffff:ffff
159ff89:e000::/20ff89:efff:ffff:ffff:ffff:ffff:ffff:ffff
160ff89:f000::/20ff89:ffff:ffff:ffff:ffff:ffff:ffff:ffff
161ff8a::/20ff8a:fff:ffff:ffff:ffff:ffff:ffff:ffff
162ff8a:1000::/20ff8a:1fff:ffff:ffff:ffff:ffff:ffff:ffff
163ff8a:2000::/20ff8a:2fff:ffff:ffff:ffff:ffff:ffff:ffff
164ff8a:3000::/20ff8a:3fff:ffff:ffff:ffff:ffff:ffff:ffff
165ff8a:4000::/20ff8a:4fff:ffff:ffff:ffff:ffff:ffff:ffff
166ff8a:5000::/20ff8a:5fff:ffff:ffff:ffff:ffff:ffff:ffff
167ff8a:6000::/20ff8a:6fff:ffff:ffff:ffff:ffff:ffff:ffff
168ff8a:7000::/20ff8a:7fff:ffff:ffff:ffff:ffff:ffff:ffff
169ff8a:8000::/20ff8a:8fff:ffff:ffff:ffff:ffff:ffff:ffff
170ff8a:9000::/20ff8a:9fff:ffff:ffff:ffff:ffff:ffff:ffff
171ff8a:a000::/20ff8a:afff:ffff:ffff:ffff:ffff:ffff:ffff
172ff8a:b000::/20ff8a:bfff:ffff:ffff:ffff:ffff:ffff:ffff
173ff8a:c000::/20ff8a:cfff:ffff:ffff:ffff:ffff:ffff:ffff
174ff8a:d000::/20ff8a:dfff:ffff:ffff:ffff:ffff:ffff:ffff
175ff8a:e000::/20ff8a:efff:ffff:ffff:ffff:ffff:ffff:ffff
176ff8a:f000::/20ff8a:ffff:ffff:ffff:ffff:ffff:ffff:ffff
177ff8b::/20ff8b:fff:ffff:ffff:ffff:ffff:ffff:ffff
178ff8b:1000::/20ff8b:1fff:ffff:ffff:ffff:ffff:ffff:ffff
179ff8b:2000::/20ff8b:2fff:ffff:ffff:ffff:ffff:ffff:ffff
180ff8b:3000::/20ff8b:3fff:ffff:ffff:ffff:ffff:ffff:ffff
181ff8b:4000::/20ff8b:4fff:ffff:ffff:ffff:ffff:ffff:ffff
182ff8b:5000::/20ff8b:5fff:ffff:ffff:ffff:ffff:ffff:ffff
183ff8b:6000::/20ff8b:6fff:ffff:ffff:ffff:ffff:ffff:ffff
184ff8b:7000::/20ff8b:7fff:ffff:ffff:ffff:ffff:ffff:ffff
185ff8b:8000::/20ff8b:8fff:ffff:ffff:ffff:ffff:ffff:ffff
186ff8b:9000::/20ff8b:9fff:ffff:ffff:ffff:ffff:ffff:ffff
187ff8b:a000::/20ff8b:afff:ffff:ffff:ffff:ffff:ffff:ffff
188ff8b:b000::/20ff8b:bfff:ffff:ffff:ffff:ffff:ffff:ffff
189ff8b:c000::/20ff8b:cfff:ffff:ffff:ffff:ffff:ffff:ffff
190ff8b:d000::/20ff8b:dfff:ffff:ffff:ffff:ffff:ffff:ffff
191ff8b:e000::/20ff8b:efff:ffff:ffff:ffff:ffff:ffff:ffff
192ff8b:f000::/20ff8b:ffff:ffff:ffff:ffff:ffff:ffff:ffff
193ff8c::/20ff8c:fff:ffff:ffff:ffff:ffff:ffff:ffff
194ff8c:1000::/20ff8c:1fff:ffff:ffff:ffff:ffff:ffff:ffff
195ff8c:2000::/20ff8c:2fff:ffff:ffff:ffff:ffff:ffff:ffff
196ff8c:3000::/20ff8c:3fff:ffff:ffff:ffff:ffff:ffff:ffff
197ff8c:4000::/20ff8c:4fff:ffff:ffff:ffff:ffff:ffff:ffff
198ff8c:5000::/20ff8c:5fff:ffff:ffff:ffff:ffff:ffff:ffff
199ff8c:6000::/20ff8c:6fff:ffff:ffff:ffff:ffff:ffff:ffff
200ff8c:7000::/20ff8c:7fff:ffff:ffff:ffff:ffff:ffff:ffff
201ff8c:8000::/20ff8c:8fff:ffff:ffff:ffff:ffff:ffff:ffff
202ff8c:9000::/20ff8c:9fff:ffff:ffff:ffff:ffff:ffff:ffff
203ff8c:a000::/20ff8c:afff:ffff:ffff:ffff:ffff:ffff:ffff
204ff8c:b000::/20ff8c:bfff:ffff:ffff:ffff:ffff:ffff:ffff
205ff8c:c000::/20ff8c:cfff:ffff:ffff:ffff:ffff:ffff:ffff
206ff8c:d000::/20ff8c:dfff:ffff:ffff:ffff:ffff:ffff:ffff
207ff8c:e000::/20ff8c:efff:ffff:ffff:ffff:ffff:ffff:ffff
208ff8c:f000::/20ff8c:ffff:ffff:ffff:ffff:ffff:ffff:ffff
209ff8d::/20ff8d:fff:ffff:ffff:ffff:ffff:ffff:ffff
210ff8d:1000::/20ff8d:1fff:ffff:ffff:ffff:ffff:ffff:ffff
211ff8d:2000::/20ff8d:2fff:ffff:ffff:ffff:ffff:ffff:ffff
212ff8d:3000::/20ff8d:3fff:ffff:ffff:ffff:ffff:ffff:ffff
213ff8d:4000::/20ff8d:4fff:ffff:ffff:ffff:ffff:ffff:ffff
214ff8d:5000::/20ff8d:5fff:ffff:ffff:ffff:ffff:ffff:ffff
215ff8d:6000::/20ff8d:6fff:ffff:ffff:ffff:ffff:ffff:ffff
216ff8d:7000::/20ff8d:7fff:ffff:ffff:ffff:ffff:ffff:ffff
217ff8d:8000::/20ff8d:8fff:ffff:ffff:ffff:ffff:ffff:ffff
218ff8d:9000::/20ff8d:9fff:ffff:ffff:ffff:ffff:ffff:ffff
219ff8d:a000::/20ff8d:afff:ffff:ffff:ffff:ffff:ffff:ffff
220ff8d:b000::/20ff8d:bfff:ffff:ffff:ffff:ffff:ffff:ffff
221ff8d:c000::/20ff8d:cfff:ffff:ffff:ffff:ffff:ffff:ffff
222ff8d:d000::/20ff8d:dfff:ffff:ffff:ffff:ffff:ffff:ffff
223ff8d:e000::/20ff8d:efff:ffff:ffff:ffff:ffff:ffff:ffff
224ff8d:f000::/20ff8d:ffff:ffff:ffff:ffff:ffff:ffff:ffff
225ff8e::/20ff8e:fff:ffff:ffff:ffff:ffff:ffff:ffff
226ff8e:1000::/20ff8e:1fff:ffff:ffff:ffff:ffff:ffff:ffff
227ff8e:2000::/20ff8e:2fff:ffff:ffff:ffff:ffff:ffff:ffff
228ff8e:3000::/20ff8e:3fff:ffff:ffff:ffff:ffff:ffff:ffff
229ff8e:4000::/20ff8e:4fff:ffff:ffff:ffff:ffff:ffff:ffff
230ff8e:5000::/20ff8e:5fff:ffff:ffff:ffff:ffff:ffff:ffff
231ff8e:6000::/20ff8e:6fff:ffff:ffff:ffff:ffff:ffff:ffff
232ff8e:7000::/20ff8e:7fff:ffff:ffff:ffff:ffff:ffff:ffff
233ff8e:8000::/20ff8e:8fff:ffff:ffff:ffff:ffff:ffff:ffff
234ff8e:9000::/20ff8e:9fff:ffff:ffff:ffff:ffff:ffff:ffff
235ff8e:a000::/20ff8e:afff:ffff:ffff:ffff:ffff:ffff:ffff
236ff8e:b000::/20ff8e:bfff:ffff:ffff:ffff:ffff:ffff:ffff
237ff8e:c000::/20ff8e:cfff:ffff:ffff:ffff:ffff:ffff:ffff
238ff8e:d000::/20ff8e:dfff:ffff:ffff:ffff:ffff:ffff:ffff
239ff8e:e000::/20ff8e:efff:ffff:ffff:ffff:ffff:ffff:ffff
240ff8e:f000::/20ff8e:ffff:ffff:ffff:ffff:ffff:ffff:ffff
241ff8f::/20ff8f:fff:ffff:ffff:ffff:ffff:ffff:ffff
242ff8f:1000::/20ff8f:1fff:ffff:ffff:ffff:ffff:ffff:ffff
243ff8f:2000::/20ff8f:2fff:ffff:ffff:ffff:ffff:ffff:ffff
244ff8f:3000::/20ff8f:3fff:ffff:ffff:ffff:ffff:ffff:ffff
245ff8f:4000::/20ff8f:4fff:ffff:ffff:ffff:ffff:ffff:ffff
246ff8f:5000::/20ff8f:5fff:ffff:ffff:ffff:ffff:ffff:ffff
247ff8f:6000::/20ff8f:6fff:ffff:ffff:ffff:ffff:ffff:ffff
248ff8f:7000::/20ff8f:7fff:ffff:ffff:ffff:ffff:ffff:ffff
249ff8f:8000::/20ff8f:8fff:ffff:ffff:ffff:ffff:ffff:ffff
250ff8f:9000::/20ff8f:9fff:ffff:ffff:ffff:ffff:ffff:ffff
251ff8f:a000::/20ff8f:afff:ffff:ffff:ffff:ffff:ffff:ffff
252ff8f:b000::/20ff8f:bfff:ffff:ffff:ffff:ffff:ffff:ffff
253ff8f:c000::/20ff8f:cfff:ffff:ffff:ffff:ffff:ffff:ffff
254ff8f:d000::/20ff8f:dfff:ffff:ffff:ffff:ffff:ffff:ffff
255ff8f:e000::/20ff8f:efff:ffff:ffff:ffff:ffff:ffff:ffff
256ff8f:f000::/20ff8f:ffff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses